Add accounts to an invoice group
curl --request POST \
--url https://api.togai.com/invoice_groups/{invoice_group_id}/add_accounts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"accountIds": [
"ACC0001",
"ACC0002"
]
}
'import requests
url = "https://api.togai.com/invoice_groups/{invoice_group_id}/add_accounts"
payload = { "accountIds": ["ACC0001", "ACC0002"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({accountIds: ['ACC0001', 'ACC0002']})
};
fetch('https://api.togai.com/invoice_groups/{invoice_group_id}/add_accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "inv_group.20rvWRxQcQK.0ZwPG",
"name": "Invoice Group 1",
"email": "acme@acme.com",
"dailyInvoiceConsolidation": true,
"accountsCount": 2,
"gracePeriod": 3,
"netTermDays": 45,
"invoiceCurrency": "USD",
"billingAddress": {
"phoneNumber": "+919876543210",
"line1": "2281 Broadway Street",
"line2": "G-31",
"postalCode": "29501",
"city": "Florence",
"state": "South Carolina",
"country": "US"
},
"createdAt": "2023-07-26T12:36:56.58015Z",
"updatedAt": "2023-07-26T12:36:56.58015Z"
}{
"message": "<Reason message>"
}{
"message": "<Reason message>"
}{
"message": "<Reason message>"
}{
"message": "<Reason message>"
}{
"message": "<Reason message>"
}{
"message": "<Reason message>"
}InvoiceGroups
Add accounts to an invoice group
This API let’s you to add accounts to an invoice group
POST
/
invoice_groups
/
{invoice_group_id}
/
add_accounts
Add accounts to an invoice group
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Maximum string length:
512Example:
"inv_grp.20rqjgFJf2O.ejl25"
Body
application/json
Payload to add or remove accounts to/from an invoice group
Add accounts to an invoice group
Required array length:
1 - 100 elementsResponse
Response to create invoice group request
Invoice group details
Maximum string length:
320billing address of the customer
Show child attributes
Show child attributes
Required range:
x >= 0Get information of an invoice groupRemove accounts from an invoice group. Removing all accounts will also delete the invoice group
⌘I
